Skip to main content
GET
https://your-rootprint-host
/
api
/
indexes
/
{indexId}
/
logs
Search logs in an index
curl --request GET \
  --url https://your-rootprint-host/api/indexes/{indexId}/logs \
  --cookie better-auth.session_token=
{
  "hits": [
    {}
  ],
  "numHits": 123,
  "elapsedTimeMicros": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.rootprint.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

better-auth.session_token
string
cookie
required

Better Auth session cookie used by the Rootprint web UI.

Path Parameters

indexId
string
required

Quickwit index ID.

Minimum string length: 1

Query Parameters

q
string

Quickwit query string.

limit
integer

Maximum number of hits to return.

Required range: 1 <= x <= 1000
offset
integer

Zero-based result offset.

Required range: x >= 0
startTs
number

Inclusive start timestamp in seconds since Unix epoch.

endTs
number

Inclusive end timestamp in seconds since Unix epoch.

sortOrder
enum<string>

Timestamp sort order.

Available options:
asc,
desc
countAll
boolean

When true, ask Quickwit for the total hit count.

Response

Search results.

hits
object[]
required
numHits
integer
required
elapsedTimeMicros
integer
required